:root {
  --main-color: #131212;
  --secondary-color: #2c3e50;
  --accent-color: #3498db;
  --text-color: #fff;
  --background-color: #1e1e1e;
  --hover-color: #201e1e;
}

/* Resetting some default styles */
body, h1, h2, p, ul {
  margin: 0;
  padding: 0;
}

body {
  font-family: "Poppins", sans-serif;
  font-size: 14px;
  color: var(--text-color);
  background-color: var(--background-color);
  display: grid;
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  color: var(--text-color);
  cursor: pointer;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

* {
  box-sizing: border-box;
}

nav {
  z-index: 1000;
  background-color: var(--main-color);
  color: var(--text-color);
  display: grid;
  grid-template-columns: 1fr 1fr;
  position: fixed;
  width: 100%;
}

nav > .logo {
  margin-top: 15px;
  margin-left: 10px;
}

nav > ul.nav-links {
  margin: 0;
  padding: 0;
  display: flex;
  position: relative;
  justify-content: flex-end;
}

ul.nav-links > li {
  display: grid;
  place-content: center;
  height: 100%;
  width: 80px;
  transition: all 0.5s ease;
}

ul.nav-links > li:nth-child(2) {
  border: #898989 1px;
  border-style: none solid none solid;
}

ul.nav-links > li > a {
  height: 100%;
  width: 100%;
  padding-top: 20px;
  padding-bottom: 20px;
}

ul.nav-links > li:hover {
  background-color: var(--hover-color);
}

.cat {
  position: relative;
}

ul.burger {
  z-index: -1;
  position: absolute;
  cursor: pointer;
  height: auto;
  width: inherit;
  top: -200px;
  right: -1px;
  background: var(--main-color);
  border: #898989 1px;
  border-style: none solid solid solid;
  transition: 0.5s ease;
  animation: burger 0.5s ease;
}

.cat:hover > ul.burger {
  top: 55px;
  transition: 0.5s ease;
}

ul.burger > li {
  padding: 10px;
}

ul.burger > li:hover {
  background-color: #222;
}
.slideshow-container {
  max-width: 98%;
  position: relative;
  margin: auto;
}

.mySlides > a > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

.prev,
.next {
  cursor: pointer;
  position: absolute;
  top: 45%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 30px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
  text-shadow: 0px 2px 2px #000000;
}

.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.prev:hover,
.next:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {
    opacity: 0.4;
  }
  to {
    opacity: 1;
  }
}

.dots {
  position: absolute;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
}

.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  background-color: #00000000;
  border: #ffffff 2px solid;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
  margin: 0 5px;
}

.active,
.dot:hover {
  background-color: #ffffff;
}
@media only screen and (max-width: 700px) {
  .dots {
    bottom: 10px;
  }
}

.main {
  margin-top: 100px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 20px;
}

.products-category {
  margin-left: 25px;
}

.products-category h1 {
  color: var(--text-color);
  margin-bottom: 10px;
}

.products {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
}

.product-item {
  flex: 0 0 calc(50% - 15px);
  max-width: calc(50% - 15px);
}

.product-link {
  display: block;
  border-radius: 8px;
  overflow: hidden;
}

.product-link img {
  width: 100%;
  height: auto;
  border-radius: 8px;
  transition: transform 0.3s ease-in-out;
}

.product-link:hover img {
  transform: scale(1.1);
}

/* Media query for responsiveness */
@media only screen and (max-width: 768px) {
  .products-category {
    margin-left: 10px;
  }

  .product-item {
    flex: 0 0 calc(50% - 10px);
    max-width: calc(50% - 10px);
  }
}